New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Makes conflicts fail faster #1174

Merged
merged 4 commits into from Oct 29, 2015

Conversation

Projects
None yet
2 participants
@mrinaldi
Contributor

mrinaldi commented Oct 28, 2015

This PR makes conflicts fail faster.

Take this paket.dependencies for example:

source https://nuget.org/api/v2

nuget Microsoft.AspNet.SignalR.JS
nuget Nancy.Serialization.JsonNet
nuget SourceLink.Fake
nuget Ninject.Extensions.Logging.Log4net == 3.2.0
nuget Ninject.Extensions.Interception.Linfu == 2.2.1.2

This is how paket is trying to resolve in 2.18.0:

Paket version 2.18.0.0
Resolving packages for group Main:
 - Ninject.Extensions.Logging.Log4net 3.2.0
 - Ninject.Extensions.Interception.Linfu 2.2.1.2
 - Microsoft.AspNet.SignalR.JS 2.2.0
 - Nancy.Serialization.JsonNet 1.3.0
 - SourceLink.Fake 1.1.0
 - jQuery 2.1.4
 - Nancy 1.3.0
 - Newtonsoft.Json 7.0.1
 - Ninject.Extensions.Interception 2.2.1.2
 - Ninject 2.2.1.4
 - Ninject.Extensions.Logging 3.2.3
 - Ninject.Extensions.Logging 3.2.2
 - Ninject.Extensions.Logging 3.2.1
 - Ninject.Extensions.Logging 3.2.0
 - Newtonsoft.Json 6.0.8
 - Newtonsoft.Json 6.0.7
 - Newtonsoft.Json 6.0.6
 - Newtonsoft.Json 6.0.5
 - Newtonsoft.Json 6.0.4
 - Newtonsoft.Json 6.0.3
 - Newtonsoft.Json 6.0.2
 - Newtonsoft.Json 6.0.1
 - Newtonsoft.Json 5.0.8
 - Newtonsoft.Json 5.0.7
 - Newtonsoft.Json 5.0.6
 - Newtonsoft.Json 5.0.5
 - Newtonsoft.Json 5.0.4
 - Newtonsoft.Json 5.0.3
 - Newtonsoft.Json 5.0.2
 - Newtonsoft.Json 5.0.1
 - Newtonsoft.Json 4.5.11
 - Newtonsoft.Json 4.5.10
 - Newtonsoft.Json 4.5.9
 - Newtonsoft.Json 4.5.8
 - Newtonsoft.Json 4.5.7
 - Newtonsoft.Json 4.5.6
 - Newtonsoft.Json 4.5.5
 - Newtonsoft.Json 4.5.4
 - Newtonsoft.Json 4.5.3
 - Newtonsoft.Json 4.5.2
 - Newtonsoft.Json 4.5.1
 - Newtonsoft.Json 4.0.8
 - Newtonsoft.Json 4.0.7
 - Newtonsoft.Json 4.0.6
 - Newtonsoft.Json 4.0.5
 - Newtonsoft.Json 4.0.4
 - Newtonsoft.Json 4.0.3
 - Newtonsoft.Json 4.0.2
 - Newtonsoft.Json 4.0.1
 - Newtonsoft.Json 3.5.8
 - jQuery 2.1.3
 - jQuery 2.1.2
 - jQuery 2.1.1
 - jQuery 2.1.0
 - jQuery 2.0.3
 - jQuery 2.0.2
 - jQuery 2.0.1.1
 - jQuery 2.0.1
 - jQuery 2.0.0
 - jQuery 1.11.3
 - jQuery 1.11.2
 - jQuery 1.11.1
 - jQuery 1.11.0
 - jQuery 1.10.2
 - jQuery 1.10.1
 - jQuery 1.10.0.1
 - jQuery 1.10.0
 - jQuery 1.9.1
 - jQuery 1.9.0
 - jQuery 1.8.3
 - jQuery 1.8.2
 - jQuery 1.8.1
 - jQuery 1.8.0
 - jQuery 1.7.2
 - jQuery 1.7.1.1
 - jQuery 1.7.1
 - jQuery 1.7.0
 - jQuery 1.6.4
 - SourceLink.Fake 1.0.0
 - SourceLink.Fake 0.6.1
 - SourceLink.Fake 0.6.0
 - SourceLink.Fake 0.5.0
 - SourceLink.Fake 0.4.2
 - SourceLink.Fake 0.4.0
 - SourceLink.Fake 0.3.4
 - SourceLink.Fake 0.3.3
 - SourceLink.Fake 0.3.2
 - SourceLink.Fake 0.3.1
 - SourceLink.Fake 0.3.0
 - Nancy.Serialization.JsonNet 1.2.0
 - Nancy 1.2.0
...

Note that it explores several versions from package that are not related to the conflict.
This is not the full output since I gave up after so many unrelated packages being explored.

This is how this PR is trying to resolve:

Paket version 2.18.0.0
Resolving packages for group Main:
 - Ninject.Extensions.Logging.Log4net 3.2.0
 - Ninject.Extensions.Interception.Linfu 2.2.1.2
 - Microsoft.AspNet.SignalR.JS 2.2.0
 - Nancy.Serialization.JsonNet 1.3.0
 - SourceLink.Fake 1.1.0
 - Ninject.Extensions.Logging 3.2.3
 - Ninject.Extensions.Interception 2.2.1.2
 - jQuery 2.1.4
 - Nancy 1.3.0
 - log4net 2.0.3
 - Newtonsoft.Json 7.0.1
 - Ninject.Extensions.Logging 3.2.2
 - Ninject.Extensions.Logging 3.2.1
 - Ninject.Extensions.Logging 3.2.0
Paket failed with:
        There was a version conflict during package resolution.
  Resolved packages:
   - Microsoft.AspNet.SignalR.JS 2.2.0
   - Nancy.Serialization.JsonNet 1.3.0
   - Ninject.Extensions.Interception 2.2.1.2
   - Ninject.Extensions.Interception.Linfu 2.2.1.2
   - Ninject.Extensions.Logging 3.2.0
   - Ninject.Extensions.Logging.Log4net 3.2.0
   - SourceLink.Fake 1.1.0
  Could not resolve package Ninject:
   - Ninject.Extensions.Interception 2.2.1.2 requested: >= 2.2.0.0 < 2.3.0.0
   - Ninject.Extensions.Logging 3.2.3 requested: >= 3.2.0.0 < 3.3.0.0

  Please try to relax some conditions.
@forki

This comment has been minimized.

Show comment
Hide comment
@forki
Member

forki commented Oct 28, 2015

fish

forki added a commit that referenced this pull request Oct 29, 2015

Merge pull request #1174 from mrinaldi/fix_resolve
Makes conflicts fail faster

@forki forki merged commit af61539 into fsprojects:master Oct 29, 2015

2 checks passed

continuous-integration/appveyor AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details

@mrinaldi mrinaldi deleted the mrinaldi:fix_resolve branch Oct 29, 2015

0x53A added a commit to 0x53A/Paket that referenced this pull request Apr 28, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment